Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.neural.freeform.basic
Class BasicFreeformNeuron

    java.lang.Object
      org.encog.neural.freeform.basic.BasicFreeformNeuron

All Implemented Interfaces:
  Serializable, FreeformNeuron, TempTrainingData

Direct Known Subclasses:
  FreeformContextNeuron

    public class BasicFreeformNeuron

extends Object
implements FreeformNeuron, Serializable

This class provides a basic implementation of a freeform neuron.

See Also:
  Serialized Form

Constructor Summary
`BasicFreeformNeuron(InputSummation theInputSummation)`

Method Summary
`void` | `addInput(FreeformConnection connection)` Add an input connection to this neuron.
`void` | `addOutput(FreeformConnection connection)` Add an output connection to this neuron.
`void` | `addTempTraining(int i, double value)` Add to the specified temp value.
`void` | `allocateTempTraining(int l)` Allocate the specified length of temp training.
`void` | `clearTempTraining()` Clear the temp training.
`double` | `getActivation()`
`InputSummation` | `getInputSummation()`
`List<FreeformConnection>` | `getOutputs()`
`double` | `getSum()`
`double` | `getTempTraining(int index)` Get the specified temp training.
`boolean` | `isBias()`
`void` | `performCalculation()` Perform the internal calculation for this neuron.
`void` | `setActivation(double theActivation)` Set the activation, or final output for this neuron.
`void` | `setBias(boolean bias)` Determine if this neuron is a bias neuron.
`void` | `setInputSummation(InputSummation theInputSummation)` Set the input summation method.
`void` | `setTempTraining(int index, double value)` Set a temp training value.
`String` | `toString()`
`void` | `updateContext()` Update the context value for this neuron.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BasicFreeformNeuron

    public BasicFreeformNeuron(InputSummation theInputSummation)

Method Detail

### addInput

    public void addInput(FreeformConnection connection)

  Add an input connection to this neuron.

  Specified by:
    `addInput` in interface `FreeformNeuron`
  Parameters:
    `connection` - The input connection.

### addOutput

    public void addOutput(FreeformConnection connection)

  Add an output connection to this neuron.

  Specified by:
    `addOutput` in interface `FreeformNeuron`
  Parameters:
    `connection` - The output connection.

### addTempTraining

    public void addTempTraining(int i,
                                double value)

  Add to the specified temp value.

  Specified by:
    `addTempTraining` in interface `TempTrainingData`
  Parameters:
    `i` - The index.
    `value` - The value to add.

### allocateTempTraining

    public void allocateTempTraining(int l)

  Allocate the specified length of temp training.

  Specified by:
    `allocateTempTraining` in interface `TempTrainingData`
  Parameters:
    `l` - The length.

### clearTempTraining

    public void clearTempTraining()

  Clear the temp training.

  Specified by:
    `clearTempTraining` in interface `TempTrainingData`

### getActivation

    public double getActivation()

  Specified by:
    `getActivation` in interface `FreeformNeuron`
  Returns:
    The activation for this neuron. This is the final output after the activation function has been applied.

### getInputSummation

    public InputSummation getInputSummation()

  Specified by:
    `getInputSummation` in interface `FreeformNeuron`
  Returns:
    The input summation method.

### getOutputs

    public List<FreeformConnection> getOutputs()

  Specified by:
    `getOutputs` in interface `FreeformNeuron`
  Returns:
    The outputs from this neuron.

### getSum

    public double getSum()

  Specified by:
    `getSum` in interface `FreeformNeuron`
  Returns:
    The output sum for this neuron. This is the output prior to the activation function being applied.

### getTempTraining

    public double getTempTraining(int index)

  Get the specified temp training.

  Specified by:
    `getTempTraining` in interface `TempTrainingData`
  Parameters:
    `index` - The indfex.
  Returns:
    The temp training value.

### isBias

    public boolean isBias()

  Specified by:
    `isBias` in interface `FreeformNeuron`
  Returns:
    True, if this is a bias neuron.

### performCalculation

    public void performCalculation()

  Perform the internal calculation for this neuron.

  Specified by:
    `performCalculation` in interface `FreeformNeuron`

### setActivation

    public void setActivation(double theActivation)

  Set the activation, or final output for this neuron.

  Specified by:
    `setActivation` in interface `FreeformNeuron`
  Parameters:
    `theActivation` - THe activation.

### setBias

    public void setBias(boolean bias)

  Determine if this neuron is a bias neuron.

  Specified by:
    `setBias` in interface `FreeformNeuron`
  Parameters:
    `bias` - True, if this neuron is considered a bias neuron.

### setInputSummation

    public void setInputSummation(InputSummation theInputSummation)

  Set the input summation method.

  Specified by:
    `setInputSummation` in interface `FreeformNeuron`
  Parameters:
    `theInputSummation` - The input summation method.

### setTempTraining

    public void setTempTraining(int index,
                                double value)

  Set a temp training value.

  Specified by:
    `setTempTraining` in interface `TempTrainingData`
  Parameters:
    `index` - The index.
    `value` - The value.

### updateContext

    public void updateContext()

  Update the context value for this neuron.

  Specified by:
    `updateContext` in interface `FreeformNeuron`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.